ref: 7734749e8a7391f4e69281fc35e48df22c9a08a4
parent: 57d690c482c7e5f57608befe7cb04797b1bff153
author: cinap_lenrek <[email protected]>
date: Fri Apr 17 15:18:28 EDT 2020
acme/win: pass on flags to winfs (fix undocumented -e flag)
--- a/acme/bin/win
+++ b/acme/bin/win
@@ -1,8 +1,13 @@
#!/bin/rc
+flags=()
+while(~ $1 -*){
+ flags=($flags $1)
+ shift
+}
if(~ $#* 0){
*=(rc -i)
}
-/acme/bin/$cputype/winfs $1 >/dev/null >[2=1] || {
+/acme/bin/$cputype/winfs $flags $1 >/dev/null >[2=1] || {
# compat
exec /acme/bin/$cputype/win $*
exit